/********************************************************************

  Module: TiQuestWindow

  Author: Carlo Ordonez

  Description:

    Quest Journal Window

  Copyright 2005 Sony Online Entertainment.  All rights reserved.

*********************************************************************/

#ifndef _TiQuestWindow_h_
#define _TiQuestWindow_h_

#include "TiCharacterPage.h"

class TiCharacterData;
class TiQuestWindow : public TiCharacterPage
{
public:
  TiQuestWindow( TiWindow* pParent, TiCharacterData* pData, int32 PlayerId );
  ~TiQuestWindow();

  // overrides
  virtual void      DrawSelf();
  virtual bool      ProcessKeyDown( int32 KeyCode );
  virtual bool      ProcessKeyUp( int32 KeyCode ) { return( false ); }
  virtual bool      ProcessButtonDown( int32 DeviceId, int32 ButtonId );
  virtual bool      ProcessButtonUp( int32 DeviceId, int32 ButtonId ) { return( false ); }
  virtual void      ProcessReloadLayout();

private:

};

#endif

